Package be.vlaanderen.mercurius.mohm.schemas.v1

# Class DeliveryBasicEquipmentType

java.lang.Object
be.vlaanderen.mercurius.mohm.schemas.v1.DeliveryBasicEquipmentType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:19:48+02:00", comments="JAXB RI v4.0.5") public class DeliveryBasicEquipmentType extends Object implements Serializable
Generiek type voor het mobiliteitshulpmiddel in een aflevering.

Java class for DeliveryBasicEquipmentType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DeliveryBasicEquipmentType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="EquipmentID" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}EquipmentIDType"/>
             <element name="CareServiceCode" type="{http://www.mercurius.vlaanderen.be/vsb-wzcmh/schemas/v1}CareServiceCodeType"/>
             <element name="Productnumber" type="{http://www.mercurius.vlaanderen.be/mohm/schemas/v1}ProductNumberType" minOccurs="0"/>
             <element name="Serialnumber" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <element name="FirstUseDate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
             <element name="DeliveryDate" type="{http://www.w3.org/2001/XMLSchema}date"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DeliveryBasicEquipmentType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getCareServiceCode()`
  Prestatiecode van het mobiliteitshulpmiddel.
  `Instant`
  `getDeliveryDate()`
  Datum van aflevering van het mobiliteitshulpmiddel.
  `String`
  `getEquipmentID()`
  Unieke ID van het mobiliteitshulpmiddel.
  `Instant`
  `getFirstUseDate()`
  Datum van eerste ingebruikname van het mobiliteitshulpmiddel.
  `String`
  `getProductnumber()`
  Productcode van het mobiliteitshulpmiddel.
  `String`
  `getSerialnumber()`
  Serienummer van het mobiliteitshulpmiddel.
  `void`
  `setCareServiceCode(String value)`
  Sets the value of the careServiceCode property.
  `void`
  `setDeliveryDate(Instant value)`
  Sets the value of the deliveryDate property.
  `void`
  `setEquipmentID(String value)`
  Sets the value of the equipmentID property.
  `void`
  `setFirstUseDate(Instant value)`
  Sets the value of the firstUseDate property.
  `void`
  `setProductnumber(String value)`
  Sets the value of the productnumber property.
  `void`
  `setSerialnumber(String value)`
  Sets the value of the serialnumber property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DeliveryBasicEquipmentType

    public DeliveryBasicEquipmentType()

- ## Method Details

  - ### getEquipmentID

    public String getEquipmentID()
    Unieke ID van het mobiliteitshulpmiddel. Deze ID moet identiek zijn aan de ID in de beslissing.
    Returns:
      possible object is `String`

  - ### setEquipmentID

    public void setEquipmentID(String value)
    Sets the value of the equipmentID property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getEquipmentID()`

  - ### getCareServiceCode

    public String getCareServiceCode()
    Prestatiecode van het mobiliteitshulpmiddel. Deze prestatiecode moet identiek zijn aan de prestatiecode in de beslissing.
    Returns:
      possible object is `String`

  - ### setCareServiceCode

    public void setCareServiceCode(String value)
    Sets the value of the careServiceCode property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getCareServiceCode()`

  - ### getProductnumber

    public String getProductnumber()
    Productcode van het mobiliteitshulpmiddel. Deze productcode moet identiek zijn aan de prodcutcode in de beslissing.
    Returns:
      possible object is `String`

  - ### setProductnumber

    public void setProductnumber(String value)
    Sets the value of the productnumber property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getProductnumber()`

  - ### getSerialnumber

    public String getSerialnumber()
    Serienummer van het mobiliteitshulpmiddel.
    Returns:
      possible object is `String`

  - ### setSerialnumber

    public void setSerialnumber(String value)
    Sets the value of the serialnumber property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getSerialnumber()`

  - ### getFirstUseDate

    public Instant getFirstUseDate()
    Datum van eerste ingebruikname van het mobiliteitshulpmiddel.
    Returns:
      possible object is `String`

  - ### setFirstUseDate

    public void setFirstUseDate(Instant value)
    Sets the value of the firstUseDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getFirstUseDate()`

  - ### getDeliveryDate

    public Instant getDeliveryDate()
    Datum van aflevering van het mobiliteitshulpmiddel.
    Returns:
      possible object is `String`

  - ### setDeliveryDate

    public void setDeliveryDate(Instant value)
    Sets the value of the deliveryDate property.
    Parameters:
      `value` - allowed object is `String`
    See Also:
      - `getDeliveryDate()`